Bug 439584 - Enabling DMA & boosting the data transfer.
Enabling DMA & boosting the data transfer.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
i386 Linux
low Severity medium
: rc
: ---
Assigned To: David Milburn
http://discoverlinux.blogspot.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 06:29 EDT by Parag Kalra
Modified: 2010-05-25 18:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 18:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Kalra 2008-03-29 06:29:27 EDT
Description of problem:
Enabling DMA & boosting the data transfer.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:

I have HP 7400 DX Tower. I have installed two Operating Systems on it:
1.] SLES 10 SP1
2.] RHEL 5.1

SLES has recognized the hard-disk as /dev/sda where as RHEL has recognized it as
/dev/hda which means that RHEL has not enabled the DMA. How can I enable DMA?
Also copying chunk of data on RHEL is taking years where as in SLES it is
getting copied like a charm. Thus SLES has found a S-ATA drive, and RHEL thinks
it's P-ATA. 

  
Actual results:
On RHEL 500 MB data is taking 5 min to get copied locally where as on SLES it
takes less than 50 secs.

Expected results:
It should recognize the hardisk as SATA and data transfer should be fast. I
think it's a driver issue. Do we have a patch or a workaround?


Additional info:
Comment 2 David Milburn 2010-05-12 14:16:49 EDT
Please test a more recent RHEL5 kernel:

http://people.redhat.com/jwilson/el5/

If this is still a problem, please attach the output of dmesg after boot, and
the output of lspci.
Comment 3 David Milburn 2010-05-25 18:35:28 EDT
Closing, please re-open if necessary.

Note You need to log in before you can comment on or make changes to this bug.